NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg_rolling-replace and mismatched version



Hi Greg!

thanks for replying...

Greg Troxel wrote:
It sounds like you are not having a pkg_rolling-replace problem, in that
the underlying make replace does not work.  Please see the
pkg_rolling-replace man page where it asks that problems with a make
replace (that was ordered reasonably) not be reported as
pkg_rolling-replace issues.

I didn't mean it is a pkg_rolling-replace issue, it is just started from that. If make replace itself fails, the problem is underlying. In this case it appears to do nothing.

I thought the order of packages rebuilt could be wrong. I thought that perhaps the pkg tools need to be updated first?

so I tried "make replace" in pkg_install

=> Automatic manual page handling
=> Generating post-install file lists
=> Checking file-check results for pkg_install-20240307
=> Creating binary package /usr/pkg-workdir/pkgtools/pkg_install/work/.packages/pkg_install-20240307.tgz
===> Building binary package for pkg_install-20240307
=> Creating binary package /usr/packages/All/pkg_install-20240307.tgz
===> Replacing for pkg_install-20240307
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/pkgtools/pkg_install
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/pkgtools/pkg_install


this is for certain not a very helpful error!



I would suggest checking your pkgdb (that you only have one, rebuild,
rebuild-tree, check).

I did build & rebuild, but since I manually removed some packages to ease the burden of upgrade, I reissued it.
Didn't think to run check - good point.

pkg_admin check finds issues:

e.g.

pkg_admin: x11-links-1.35: Symlink `/usr/pkg/share/x11-links/include/xorg/BT.h' exists and is in +CONTENTS but target does not exist! pkg_admin: x11-links-1.35: Symlink `/usr/pkg/share/x11-links/include/xorg/IBM.h' exists and is in +CONTENTS but target does not exist!


but there are several failed checksums, e.g.:
../usr/pkg/lib/libffi.a fails MD5 checksum
./usr/pkg/bin/libtool fails MD5 checksum
...../usr/pkg/lib/libpkgconf.a fails MD5 checksum
./usr/pkg/lib/libhistory.a fails MD5 checksum
/usr/pkg/lib/libreadline.a fails MD5 checksum


I rebuilt libtool and readline manually, they replaced fine! But still I cannot replace pkg_install

Riccardo



Home | Main Index | Thread Index | Old Index